<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
<body>
	<ui:composition>
		<p:separator />
		<div class="row box-mb">
			<div class="col-sm-12">
				<label class="control-label">
					<b>
						<ui:insert name="seccion_carnet_titulo">
							<div>CARNET DE BIBLIOTECA</div>
						</ui:insert>
					</b>
				</label>
			</div>
		</div>
		<div class="row box-mb">
			<p:fieldset>
				<fieldset>
					<p:panel id="DatosCarnetPanel" style="border: 0px solid #EDEDED;">
						<div class="row box-mb">
							<div class="col-sm-6">
								<ui:insert name="seccion_carnet_frente">
									<h:outputLabel value="Carnet frontal" styleClass="control-label" />
									<h:commandLink><p:fileDownload value="#{bandejaSalaDelUsuarioMB.streamedContentPhotoCarnetFrente}" />
										<i class="fa fa-download"></i>
									</h:commandLink>
									<p:fieldset>
										<fieldset>	
											<p:graphicImage id="photoCarnetFrente"	value="#{bandejaSalaDelUsuarioMB.streamedContentPhotoCarnetFrente}" styleClass="img-responsive" cache="false" />
										</fieldset>
									</p:fieldset>
									<h:outputLabel value="Foto carnet - Escala : " styleClass="control-label" /><br/>
									<p:commandButton id="btnAumentarEscalaFoto"
										value="+" 
										disabled="false"
										actionListener="#{bandejaSalaDelUsuarioMB.aumentarEscalaFotoCarnet}"
										ajax="true" update="DatosCarnetPanel"
									/>
									<p:commandButton id="btnDisminuirEscalaFoto"
										value="-" 
										disabled="false"
										actionListener="#{bandejaSalaDelUsuarioMB.disminuirEscalaFotoCarnet}"
										ajax="true" update="DatosCarnetPanel"
									/><br/>
									<h:outputLabel value="Foto carnet - Posición Horizontal: " styleClass="control-label" /><br/>
									<p:commandButton id="btnAumentarPosicionXFoto"
										value="+" 
										disabled="false"
										actionListener="#{bandejaSalaDelUsuarioMB.aumentarPosicionXFotoCarnet}"
										ajax="true" update="DatosCarnetPanel"
									/>
									<p:commandButton id="btnDisminuirPosicionXFoto"
										value="-" 
										disabled="false"
										actionListener="#{bandejaSalaDelUsuarioMB.disminuirPosicionXFotoCarnet}"
										ajax="true" update="DatosCarnetPanel"
									/><br/>
									<h:outputLabel value="Foto carnet - Posición Vertical: " styleClass="control-label" /><br/>
									<p:commandButton id="btnAumentarPosicionYFoto"
										value="+" 
										disabled="false"
										actionListener="#{bandejaSalaDelUsuarioMB.aumentarPosicionYFotoCarnet}"
										ajax="true" update="DatosCarnetPanel"
									/>
									<p:commandButton id="btnDisminuirPosicionYFoto"
										value="-" 
										disabled="false"
										actionListener="#{bandejaSalaDelUsuarioMB.disminuirPosicionYFotoCarnet}"
										ajax="true" update="DatosCarnetPanel"
									/><br/>
								</ui:insert>
							</div>
							<div class="col-sm-6">
								<ui:insert name="seccion_carnet_reverso">
									<h:outputLabel value="Carnet reverso" styleClass="control-label" />
									<h:commandLink><p:fileDownload value="#{bandejaSalaDelUsuarioMB.streamedContentPhotoCarnetReverso}" />
										<i class="fa fa-download"></i>
									</h:commandLink>
									<p:fieldset>
										<fieldset>	
											<p:graphicImage id="photoCarnetReverso"	value="#{bandejaSalaDelUsuarioMB.streamedContentPhotoCarnetReverso}" styleClass="img-responsive" cache="false" />
										</fieldset>
									</p:fieldset>
								</ui:insert>
							</div>
						</div>
					</p:panel>
				</fieldset>
			</p:fieldset>
		</div>
	</ui:composition>
</body>
</html>